Bug 1025912 - Viewing fonts from zip in gnome-font+ locks up and window won't close.
Viewing fonts from zip in gnome-font+ locks up and window won't close.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-font-viewer (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 19:14 EDT by Rodd Clarkson
Modified: 2015-06-29 08:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:47:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2013-11-01 19:14:05 EDT
Description of problem:

I've downloaded 150 fonts in a zip file from here:

http://www.fontsy.com/linux150.html

When I try to view the fonts, gnome font viewer opens up and most of the time is closes fine, but occasionally it dies and you have to got to the menu in the top panel and click close and then it says it's not responding.


Version-Release number of selected component (if applicable):

gnome-font-viewer-3.10.0-1.fc20.x86_64


How reproducible:

Seems to happen about 1 in every three times.

Steps to Reproduce:
1. Download font pack (it might be a problem with other fonts too).
2. Open zip file in Archive Manager
3. Double click a font to view it.

Actual results:

Font Viewer opens, but sometimes clicking the window close button doesn't work.

Expected results:

I'm assuming that the fonts are fine and that they close should just work.

Even it there is something wrong with the font, clicking close window should work.  If the font is at fault, then Font Viewer might report this to the user.


Additional info:
Comment 1 Fedora End Of Life 2015-05-29 05:40:34 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-06-29 08:47:32 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.